VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "clsSplitterBar Example Project"
   ClientHeight    =   8175
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   9195
   LinkTopic       =   "Form1"
   ScaleHeight     =   8175
   ScaleWidth      =   9195
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox picContainer 
      Height          =   4725
      Left            =   120
      ScaleHeight     =   4665
      ScaleWidth      =   7035
      TabIndex        =   2
      Top             =   90
      Width           =   7095
      Begin VB.TextBox Text1 
         Height          =   2805
         Left            =   210
         MultiLine       =   -1  'True
         ScrollBars      =   2  'Vertical
         TabIndex        =   3
         Text            =   "frmMain.frx":0000
         Top             =   210
         Width           =   3165
      End
   End
   Begin VB.PictureBox picSplitter 
      BackColor       =   &H8000000A&
      BorderStyle     =   0  'None
      Height          =   4425
      Left            =   3090
      MousePointer    =   9  'Size W E
      ScaleHeight     =   4425
      ScaleWidth      =   195
      TabIndex        =   1
      Top             =   2610
      Width           =   195
   End
   Begin VB.PictureBox Picture1 
      AutoSize        =   -1  'True
      BackColor       =   &H00000000&
      BorderStyle     =   0  'None
      Height          =   6000
      Left            =   210
      Picture         =   "frmMain.frx":0276
      ScaleHeight     =   6000
      ScaleWidth      =   6000
      TabIndex        =   0
      Top             =   -120
      Width           =   6000
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private SplitterBar As New clsSplitterBar

Private Sub Form_Load()

   'Initialize the splitter bar by passing it 4 contol variables:
   'Text1,Picture1 : the controls that will be "split".These
   'must be either PictureBox or TextBox.
   'picSplitter : a PictureBox that will act as the splitter bar.
   'picContainer : a PictureBox as the container.
   SplitterBar.InitSplitter Text1, Picture1, picSplitter, picContainer

End Sub

Private Sub Form_Resize()

   If Me.WindowState = vbMinimized Then Exit Sub
   
   'Resize the container PictureBox to fit the form's size
   With picContainer
      picContainer.Move 100 - (.Width - .ScaleWidth), 100 - (.Height - .ScaleHeight), ScaleWidth - 100, ScaleHeight - 100
   End With
   
   'The contained controls should also be resized
   SplitterBar.MoveBar

End Sub

Private Sub picSplitter_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)

   'This needs to be in here so that the clsSplitterBar class knows
   'where the dragging of the bar begun
   SplitterBar.LastBarPosition = X

End Sub

Private Sub picSplitter_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

   'Resize the contained controls in realtime
   If Button = 1 Then SplitterBar.MoveBar X

End Sub


